Subject: [media-types] Standardizing on application/tar for tar files

From: Sean Leonard <[email-masked]>
Date: Wed, 10 Sep 2014 20:48:02 -0700

Hello,

Suppose that it is desirable to standardize on application/tar for .tar 
files <https://en.wikipedia.org/wiki/Tar_(computing)>.

Tar is standardized in POSIX.1-2001, which is both IEEE 1003 and ISO/IEC 
9945. The standard description in the pax topic 
<http://pubs.opengroup.org/onlinepubs/9699919799/utilities/pax.html> is 
complete. However, there is no IANA registration template in POSIX.

What is the recommended way to register this media type, if I wanted to 
just go ahead and do it with a minimum of fuss (but maximizing quality 
of the registration)?

Thanks,

Sean

---

From: Henrik Andersson <[email-masked]>
Date: Thu, 11 Sep 2014 11:13:34 +0200

Sean Leonard skrev:
> Hello,
>
> Suppose that it is desirable to standardize on application/tar for
> .tar files <https://en.wikipedia.org/wiki/Tar_(computing)>.
>
> Tar is standardized in POSIX.1-2001, which is both IEEE 1003 and
> ISO/IEC 9945. The standard description in the pax topic
> <http://pubs.opengroup.org/onlinepubs/9699919799/utilities/pax.html>
> is complete. However, there is no IANA registration template in POSIX.
>
> What is the recommended way to register this media type, if I wanted
> to just go ahead and do it with a minimum of fuss (but maximizing
> quality of the registration)?
>
> Thanks,
>
> Sean
>

I'd like to note that compressed tarballs should be using the
Content-Encoding HTTP header[1] in addition to the proposed
application/tar mime type.

[1] http://tools.ietf.org/html/rfc7231#section-3.1.2.2